=== debian/control ===
Source: ros-indigo-pugixml
Section: misc
Priority: extra
Maintainer: Jose Luis Sanchez-Lopez <jl.sanchez@upm.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/pugixml
Standards-Version: 3.9.2

Package: ros-indigo-pugixml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package is pugixml.
